package com.fwk.config.exceptions;

/**
 * Classe que representa la configuraci d'una excepci del framework
 * @author fjbravo
 *
 */
public class ExceptionConfig {

	/**
	 * Clau del missatge que s'ha de mostrar per pantalla
	 */
	private String key;
	
	/**
	 * Classe que representa l'excepci
	 */
	private String type;
	
	/**
	 * Classe que ha de manegar l'excepci
	 */
	private String handler;
	
	/**
	 * Url del recurs al que hem de redirigir quan es produeix una excepci
	 */
	private String path;

	/**
	 * CONSTRUCTOR1
	 */
	public ExceptionConfig(){
		
	}
	
	//GETTERS AND SETTERS
	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getHandler() {
		return handler;
	}

	public void setHandler(String handler) {
		this.handler = handler;
	}

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}
	
	 
	
	
}
