package com.fwk.config.forms;


import java.util.HashMap;
import java.util.Map;

/**
 * Classe que representa el conjunt d'accions que hem declarat amb el fitxer de configuraci
 * @author fjbravo
 *
 */
public class FormsMap {
	
	private Map<String, FormConfig> forms;
	
	/**
	 * CONTRUCTOR
	 */
	public FormsMap(){
		forms =  new HashMap<String, FormConfig>();
	}
	
	
	//GETTERS i SETTERS
	public void addForm(FormConfig ac){
		if(forms != null)
			forms.put(ac.getNom(), ac);
	}

	public Map<String, FormConfig> getForms() {
		return forms;
	}

	public void setForms(Map<String, FormConfig> forms) {
		this.forms = forms;
	}
	
}