<%@ taglib prefix="fwk" uri="/WEB-INF/tld/fwkTaglibs.tld"%>
<%@page import="java.util.Locale"%>
<%
	String requestMethod = request.getMethod();
	String queryString = request.getQueryString();
  	Locale loc = (Locale) request.getSession().getAttribute("GLOBAL_LOCALE");	
  	if(loc ==null){
	  loc = Locale.getDefault();
  	}
	  	
	String localeGetted = loc.getLanguage();
%>

<script language="JavaScript1.2">
	function gotollistat(){
		document.location = '<%= request.getContextPath() + "/student.do?reqCode=list"%>';
	}

	function esborrar(){
		var idEsborrar = document.getElementById("idEsborrar").value;
		document.location = '<%= request.getContextPath()%>' + "/student.do?reqCode=delete&id=" + idEsborrar;
	}
function change(locale){
	var method = '<%=requestMethod%>';
	var pathname = document.location.pathname;
	var queryString = '<%=queryString%>';
	var fullCast = pathname, fullCat = pathname;
	if(queryString!='null'){
		if(queryString.indexOf("set-locale")!=-1){
			fullCast = fullCast + "?set-locale=es_ES&" + queryString.substring("set-locale=".length+6);
			fullCat = fullCat + "?set-locale=ca_ES&" + queryString.substring("set-locale=".length+6);
		}
		else {
			fullCast = fullCast + "?set-locale=es_ES&" + queryString;		
			fullCat = fullCat + "?set-locale=ca_ES&" + queryString;
		}
	}
	else {
		fullCast = fullCast + "?set-locale=es_ES&";
		fullCat = fullCat + "?set-locale=ca_ES&";
	}
	if("POST"==method){
		fullEng = fullCast = fullCat = "#";
	}


	if(method!="POST"){
		if('en_GB'==locale){
			document.location = fullEng;
		}
		else if('es_ES'==locale){
			document.location = fullCast;
		}
		else if('ca_ES'==locale){
			document.location = fullCat;
		}
	}
}

	function checkLocale(locale)
	{
		var localeG = '<%=localeGetted%>'
		if ( localeG ) 
		    return localeG == locale;
		else
			return false;
	}
</script>

<div id="top-row-1">
	<div id="top-row-1-col-1">
		<div class="logo_petit">
			<a href="http://www.uoc.edu"
				title="Universitat Oberta de Catalunya" accesskey="4"> <img
				border="0" src="/fwkTest/images/logo_uoc.gif" width="100%" height="45"
				alt="Universitat Oberta de Catalunya"> </a>
			
		</div>
	</div>

	<div id="top-row-1-col-2">
		<center>
			<h2 ><font face="verdana"> <fwk:showMessage key="page.header.title" /></font></h2>
			<h3 ><font face="verdana"> <fwk:showMessage key="page.header.title2" /></font></h3>
		</center>
		<div class="generalOptions">
			<a href="help.do" class="eines">
			<fwk:showMessage key="menu.help" /></a> | 
			<script language="JavaScript1.2">
				if (!checkLocale('ca'))
					document.write('<a href="javascript:change(\'ca_ES\')" class="eines"><fwk:showMessage key="menu.i18n.ca_es"/></a> |');
				else
					document.write('<fwk:showMessage key="menu.i18n.ca_es"/> |');
					if (!checkLocale('es'))
						document.write('<a href="javascript:change(\'es_ES\')" class="eines"><fwk:showMessage key="menu.i18n.es_es"/></a> |');
					else
						document.write('<fwk:showMessage key="menu.i18n.es_es"/> |');
			</script> 
		</div>
	</div>

	<div id="top-row-1-col-3">
	</div>
</div>

<div id="top-row-2">
	<div id="topMenu">
		<div id="commonLinks">
			<ul>
				<li>
					<a href="http://www.uoc.edu">
					<fwk:showMessage key="uoc.url" /></a></li>
					<li>
					<a href="<%=request.getContextPath()%>/logOut.do">
					<fwk:showMessage key="menu.logout" /></a></li>
			</ul>
		</div>
	</div>
</div>