

<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="fwk" uri="/WEB-INF/tld/fwkTaglibs.tld"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
		<title><fwk:showMessage key="page.studentList.title" /></title>
		<link rel="stylesheet" href="css/import.css" type="text/css" />
	</head>

<body>

	<div id="outer">
	
		<!-- TOP SECTION -->
		<div id="top-section">
			<%@ include file="/WEB-INF/jsp/includes/header.jsp" %>
		</div>
	
		<!-- MID SECTION -->
		<div id="mid-section">
			<div id="mid-col-2-row-3">
				<center>
					<div class="titolContingut">
						<fwk:showMessage key="page.formulariEstudiant.creacio"/>
					</div>
				</center>
			</div>
			
			<div id="mid-col-2-row-4">
				<center>
					<fwk:showErrors style="errorsForm" />

					<form action="student.do?reqCode=create" method="post" name="alumno">
						<fieldset style="border: 0">
								<table width="300" border="0">
								<tr>
									<td align="right"><font class="asterisc">*&nbsp;</font>
										<fwk:showMessage key="alumne.id"/>:</td>
										<td>
											<fwk:inputText  property="id" beanName="alumno" styleClass="textLogin"/>
										</td>
								</tr>
								<tr>
									<td align="right"><font class="asterisc">&nbsp;</font>
										<fwk:showMessage key="alumne.nom"/></td>
										<td>
											<fwk:inputText property="nom" beanName="alumno" styleClass="textLogin"/>
										</td>
								</tr>
								<tr>
									<td align="right"><font class="asterisc">&nbsp;</font>
										<fwk:showMessage key="alumne.cognoms"/></td>
										<td>
											<fwk:inputText property="cognoms" beanName="alumno" styleClass="textLogin"/>
										</td>
								</tr>
								<tr>
									<td align="right"><font class="asterisc">&nbsp;</font>
										<fwk:showMessage key="alumne.dni"/></td>
										<td>
											<fwk:inputText property="dni" beanName="alumno" styleClass="textLogin"/>
										</td>
								</tr>
								<tr>
									<td align="right"><font class="asterisc">&nbsp;</font>
										<fwk:showMessage key="alumne.telefon"/></td>
										<td>
											<fwk:inputText property="telefon" beanName="alumno" styleClass="textLogin"/>
										</td>
								</tr>
								<tr>
									<td align="right"><font class="asterisc">*&nbsp;</font>
										<fwk:showMessage key="alumne.codiPostal"/></td>
										<td>
											<fwk:inputText property="codiPostal" beanName="alumno" styleClass="textLogin"/>
										</td>
								</tr>
								<tr>
									<td align="right"><font class="asterisc">&nbsp;</font>
										<fwk:showMessage key="alumne.adreca"/></td>
										<td>
											<fwk:inputText property="adreca" beanName="alumno" styleClass="textLogin"/>
										</td>
								</tr>
								<tr>
									<td align="right"><font class="asterisc">*&nbsp;</font>
										<fwk:showMessage key="alumne.edat"/></td>
										<td>
											<fwk:inputText property="edat" beanName="alumno" styleClass="textLogin"/>
										</td>
								</tr>

								
								<tr>
									<td colspan="2" align="center"><br>
									<input  class="botoLogin" type="submit" value="<fwk:showMessage key="button.salvar"/>"  />
									<input  class="botoLogin" type="button" value="<fwk:showMessage key="button.enrere"/>" onclick="gotollistat();" /></td>
								</tr>
								</table>
						</fieldset>
					</form>
				</center>
			</div>
		</div>
	
		<!-- BOTTOM SECTION -->
		<div id="bottom-section">
			<div id="bottom-col-1">
				<div id="footer"> 2011 Universitat Oberta de Catalunya| UOC</div>
			</div>
		</div>
	</div>


</body>
</html>

