package test.accions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.fwk.actions.Action;
import com.fwk.actions.ActionForward;
import com.fwk.config.actions.ActionConfig;
import com.fwk.forms.FormBean;

/**
 * Acci que s'utilitza per a sortir de l'aplicaci
 * @author fjbravo
 *
 */
public class LogOutAction extends Action {

	/**
	 * Implementaci del mtode execute
	 */
	@Override
	public ActionForward execute(ActionConfig config, FormBean form,
			HttpServletRequest req, HttpServletResponse res) throws Exception {
		
		//Esborrem el llistat d'estudiants guardat en la sessi
		if(req.getSession().getAttribute("_alumesBD") != null){
			req.getSession().removeAttribute("_alumesBD");
		}
		
		return config.findForward("inici");
		
	}

}
