package test.forms;

import com.fwk.actions.ActionMessage;
import com.fwk.forms.FormBean;
import com.fwk.forms.FormErrors;

/**
 * Formulari associat a la acci d'autenticaci d'un usuari
 * @author fjbravo
 *
 */
public class LoginForm extends FormBean {

	//Nom de l'usuari
	public String usuari;
	
	//Contrasenya de l'usuari
	public String password;
	
	@Override
	public void reset() {
		
		
	}

	/*
	 * (non-Javadoc)
	 * @see com.fwk.forms.FormBean#validate()
	 */
	@Override
	public FormErrors validate() {
		FormErrors formErrors = new FormErrors();
		if(usuari == null || usuari.equals("")){
			formErrors.addError("usuariError", new ActionMessage("login.user.error"));
		}
		
		if(password == null ||  password.equals("")){
			formErrors.addError("passwordError", new ActionMessage("login.password.error"));
		}
		return formErrors;
	}

	
	//GETTERS AND SETTERS
	public String getUsuari() {
		return usuari;
	}

	public void setUsuari(String usuari) {
		this.usuari = usuari;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

}
