package test.model;

import java.io.Serializable;

/**
 * Classe que representa les dades d'un alumne
 * @author fjbravo
 *
 */
public class Alumne implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public Integer id;
	
	public String nom;

	public Integer edat;

	public String cognoms;

	public String dni;

	public String telefon;

	public String adreca;
	
	public Integer codiPostal;
	
	public Alumne(){};

	/**
	 * Constructor complet
	 * @param nom
	 * @param edat
	 * @param cognoms
	 * @param dni
	 * @param telefon
	 * @param adreca
	 * @param codiPostal
	 * @param id
	 */
	public Alumne(Integer id,String nom, Integer edat, String cognoms, String dni,
			String telefon, String adreca, Integer codiPostal) {
		this.id = id;
		this.nom = nom;
		this.edat = edat;
		this.cognoms = cognoms;
		this.dni = dni;
		this.telefon = telefon;
		this.adreca = adreca;
		this.codiPostal = codiPostal;
	}

	//GETTERS AND SETTERS
	public String getNom() {
		return nom;
	}

	public void setNom(String nom) {
		this.nom = nom;
	}

	public Integer getEdat() {
		return edat;
	}

	public void setEdat(Integer edat) {
		this.edat = edat;
	}

	public String getCognoms() {
		return cognoms;
	}

	public void setCognoms(String cognoms) {
		this.cognoms = cognoms;
	}

	public String getDni() {
		return dni;
	}

	public void setDni(String dni) {
		this.dni = dni;
	}

	public String getTelefon() {
		return telefon;
	}

	public void setTelefon(String telefon) {
		this.telefon = telefon;
	}

	public String getAdreca() {
		return adreca;
	}

	public void setAdreca(String adreca) {
		this.adreca = adreca;
	}

	public Integer getCodiPostal() {
		return codiPostal;
	}

	public void setCodiPostal(Integer codiPostal) {
		this.codiPostal = codiPostal;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

}
