package com.fwk.actions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.fwk.config.actions.ActionConfig;
import com.fwk.forms.FormBean;
/**
 * Representa una acci que no t formulari associat i que noms necessita
 * redirigir el flux d'aplicaci a una altra vista
 * @author fjbravo
 *
 */
public class DirectAction extends Action {

	/**
	 * Constructor
	 */
	public DirectAction() {
		
	}

	
	/**
	 * Mtode heretat de la superclasse Action
	 * en l'action config ha de venir informat el parametre
	 */
	@Override
	public ActionForward execute(ActionConfig config, FormBean form,HttpServletRequest req, HttpServletResponse res) {
		
		if(config == null || config.getParametre() == null || config.getParametre().trim().equals("")){
			return null;	
		}
		else{
			String dest = config.getParametre();
			ActionForward forward = new ActionForward();
			forward.setAdreca(dest);
			return forward;
		}
	}

}
