package test.accions;

import java.util.HashMap;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import test.forms.LoginForm;
import test.model.Alumne;

import com.fwk.actions.Action;
import com.fwk.actions.ActionForward;
import com.fwk.actions.ActionMessage;
import com.fwk.config.actions.ActionConfig;
import com.fwk.forms.FormBean;
import com.fwk.forms.FormErrors;

/**
 * Acci d'autenticaci a la aplicaci
 * @author fjbravo
 *
 */
public class LoginAction  extends Action{

	private Map<Integer,Alumne> alumnesMap;
	
	@Override
	public ActionForward execute(ActionConfig config, FormBean form,
			HttpServletRequest req, HttpServletResponse res) throws Exception {

		//Farem una comprovaci simple
		LoginForm formulari = (LoginForm) form;
		
		if(formulari.getUsuari().trim().equals("pfc") && formulari.getPassword().trim().equals("1234")){
			
			//Insertem usuaris de prova
			//Els guardem a la sessi simulant una connexi amb la BD
			if(req.getSession().getAttribute("_alumesBD") == null){
				alumnesMap = new HashMap<Integer, Alumne>();
				alumnesMap.put(1, new Alumne(1,"Francisco Javier",28,"Bravo Ramos","47767150Z","655770302","Via Mxima n66 12",43001));
				alumnesMap.put(2, new Alumne(2,"Judit",25,"Rodrguez Lpez","47771416W","655770302","Via Mxima n66 12",43480));
				alumnesMap.put(3,new Alumne(3,"Bea",25,"Villar","47767150Z","655770302","C/Josep M Folch i Torres",43480));
				alumnesMap.put(4,new Alumne(4,"Angel",25,"Zaballos Diego","12345678E","652511352","c/Sant Quint",43001));
				req.getSession().setAttribute("_alumesBD", alumnesMap);		
			}
			return config.findForward("list");
		}
		else{
			FormErrors errors = new FormErrors();
			errors.addError("autenticationError", new ActionMessage("login.autentication.error"));
			saveErrors(req, errors);
			return null;
		}
		
	}

}
